Get Trader Orders in Market
Returns chronological compacted order fills (execution time, outcome, side, shares, USDC value, taker flag, and fee) executed by a trader in a specific prediction market
GET/v2/traders/{address}/markets/{id}/orders
Request Parameters
Required headers and parameter specifications for this endpoint.
Headers
| Header | Type | Required | Description |
|---|---|---|---|
| X-PolyEdge-Key | string | required | PolyEdge API Key for client authentication and rate-limiting |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| address | string | required | EVM address (0x...) |
| id | integer | required | Polymarket numeric market ID |
Response (200 OK)
Field definitions for the successful response payload.
200 Response Example
json
{
"orders": [
{
"fee": 2364070,
"is_taker": true,
"outcome": "Rafael Tosetto",
"shares": 285000000,
"side": "BUY",
"time": "2026-09-17T18:13:51Z",
"usdc": 225150000
},
{
"fee": 230850,
"is_taker": true,
"outcome": "Rafael Tosetto",
"shares": 30000000,
"side": "BUY",
"time": "2026-09-17T18:14:18Z",
"usdc": 24300000
},
{
"fee": 3091070,
"is_taker": true,
"outcome": "Rafael Tosetto",
"shares": 777100000,
"side": "BUY",
"time": "2026-09-17T20:19:10Z",
"usdc": 67723500
}
]
}Response Body Fields
| Field | Type | Description |
|---|---|---|
orders | array of objects | Chronological list of compacted order fill events |
├─fee | integer | Protocol trading fee deducted in micro-USD (6 decimals) |
├─is_taker | boolean | True if executed against resting book liquidity as a taker |
├─outcome | string | Prediction outcome label (e.g. "Yes", "No") |
├─shares | integer | Filled outcome token shares (6 decimals) |
├─side | string | Order execution side: "BUY" or "SELL" |
├─time | string | ISO 8601 UTC timestamp of order fill execution |
├─usdc | integer | Total collateral USDC transferred (6 decimals micro-USD) |
cURL Example
Copy and run this command directly in your terminal to test this endpoint.
cURL: GET /v2/traders/{address}/markets/{id}/orders
bash
curl -X GET "https://api.polyedge.dev/v2/traders/0x2005d16a84ceefa912d4e380cd32e7ff827875ea/markets/4629816/orders" \
-H "X-PolyEdge-Key: Your-PolyEdge-ApiKey"